## net.percederberg.mib.asn1.node
Interface NodeConstants

All Known Implementing Classes:
  Node

public interface NodeConstants

Interface containing all the token and production node constants. These constants must be updated manually when the set of tokens or productions change.

Author:
  Per Cederberg, per@percederberg.net

Field Summary
`static int` `ALPHABETCONSTRAINT`
`static int` `ANYTYPE`
`static int` `ASSIGNMENT`
`static int` `ASSIGNMENTLIST`
`static int` `BINARYSTRING`
`static int` `BITSTRINGTYPE`
`static int` `BOOLEANVALUE`
`static int` `BUILTINTYPE`
`static int` `BUILTINVALUE`
`static int` `CHARSTRING`
`static int` `CHOICETYPE`
`static int` `CLASS`
`static int` `CLASSNUMBER`
`static int` `CONSTRAINT`
`static int` `CONSTRAINTLIST`
`static int` `DEFINEDMACRONAME`
`static int` `DEFINEDMACROTYPE`
`static int` `DEFINEDTYPE`
`static int` `DEFINEDVALUE`
`static int` `ELEMENTTYPE`
`static int` `ELEMENTTYPELIST`
`static int` `ENUMERATEDTYPE`
`static int` `EOF`
`static int` `EXPORTS`
`static int` `HEXSTRING`
`static int` `IDENTIFIER`
`static int` `IMPORTS`
`static int` `INTEGERTYPE`
`static int` `LOWERENDPOINT`
`static int` `MACROBODY`
`static int` `MACRODEFINITION`
`static int` `MACROREFERENCE`
`static int` `MODULEBODY`
`static int` `MODULEDEFINITION`
`static int` `MODULEIDENTIFIER`
`static int` `MODULEREFERENCE`
`static int` `NAMEANDNUMBERFORM`
`static int` `NAMEDNUMBER`
`static int` `NAMEDNUMBERLIST`
`static int` `NAMEDTYPE`
`static int` `NAMEDVALUE`
`static int` `NULLVALUE`
`static int` `NUMBER`
`static int` `OBJECTIDENTIFIERVALUE`
`static int` `OBJIDCOMPONENT`
`static int` `OBJIDCOMPONENTLIST`
`static java.lang.String[]` `productionNodeName` A list with all the node names for production nodes.
`static int` `SELECTIONTYPE`
`static int` `SEQUENCEOFTYPE`
`static int` `SEQUENCETYPE`
`static int` `SETOFTYPE`
`static int` `SETTYPE`
`static int` `SIGNEDNUMBER`
`static int` `SIZECONSTRAINT`
`static int` `SKIPTOEND`
`static int` `SNMPACCESSPART`
`static int` `SNMPDEFVALPART`
`static int` `SNMPDESCRPART`
`static int` `SNMPINDEXPART`
`static int` `SNMPOBJECTTYPEMACROTYPE`
`static int` `SNMPREFERPART`
`static int` `SNMPSTATUSPART`
`static int` `SNMPTRAPTYPEMACROTYPE`
`static int` `SNMPVARPART`
`static int` `SPECIALREALVALUE`
`static int` `START`
`static int` `STRINGTYPE`
`static int` `SYMBOL`
`static int` `SYMBOLLIST`
`static int` `SYMBOLSFROMMODULE`
`static int` `SYMBOLSFROMMODULELIST`
`static int` `TABSENT`
`static int` `TACCESS`
`static int` `TAG`
`static int` `TAGDEFAULT`
`static int` `TAGGEDTYPE`
`static int` `TANY`
`static int` `TAPPLICATION`
`static int` `TASSIGN`
`static int` `TBAR`
`static int` `TBEGIN`
`static int` `TBINSTRING`
`static int` `TBIT`
`static int` `TBOOLEAN`
`static int` `TBY`
`static int` `TCHOICE`
`static int` `TCOMMA`
`static int` `TCOMPONENT`
`static int` `TCOMPONENTS`
`static int` `TCSTRING`
`static int` `TDEFAULT`
`static int` `TDEFINED`
`static int` `TDEFINITIONS`
`static int` `TDEFVAL`
`static int` `TDESCRIPTION`
`static int` `TDOT`
`static int` `TEND`
`static int` `TENTERPRISE`
`static int` `TENUMERATED`
`static int` `TEXPLICIT`
`static int` `TEXPORTS`
`static int` `TFALSE`
`static int` `TFROM`
`static int` `THEXSTRING`
`static int` `TIDENTIFIER`
`static int` `TIMPLICIT`
`static int` `TIMPORTS`
`static int` `TINCLUDES`
`static int` `TINDEX`
`static int` `TINTEGER`
`static int` `TLCASEFIRST_IDENT`
`static int` `TLEFTBRACE`
`static int` `TLEFTBRACKET`
`static int` `TLEFTPAREN`
`static int` `TLESSTHAN`
`static int` `TMACRO`
`static int` `TMAX`
`static int` `TMIN`
`static int` `TMINUS`
`static int` `TMINUS_INFINITY`
`static int` `TNULL`
`static int` `TNUMBER`
`static int` `TOBJECT`
`static int` `TOBJECT_TYPE`
`static int` `TOCTET`
`static int` `TOF`
`static java.lang.String[]` `tokenNodeName` A list with all the node names for token nodes.
`static int` `TOPTIONAL`
`static int` `TPLUS_INFINITY`
`static int` `TPRESENT`
`static int` `TPRIVATE`
`static int` `TREAL`
`static int` `TREFERENCE`
`static int` `TRIGHTBRACE`
`static int` `TRIGHTBRACKET`
`static int` `TRIGHTPAREN`
`static int` `TSEMI_COLON`
`static int` `TSEQUENCE`
`static int` `TSET`
`static int` `TSIZE`
`static int` `TSTATUS`
`static int` `TSTRING`
`static int` `TSYNTAX`
`static int` `TTAGS`
`static int` `TTRAP_TYPE`
`static int` `TTRUE`
`static int` `TUCASEFIRST_IDENT`
`static int` `TUNIVERSAL`
`static int` `TVARIABLES`
`static int` `TWITH`
`static int` `TYPE`
`static int` `TYPEASSIGNMENT`
`static int` `TYPEORVALUE`
`static int` `TYPEORVALUELIST`
`static int` `TYPEREFERENCE`
`static int` `UPPERENDPOINT`
`static int` `VALUE`
`static int` `VALUEASSIGNMENT`
`static int` `VALUECONSTRAINT`
`static int` `VALUERANGE`
`static int` `VARTYPES`

Field Detail

### EOF

    public static final int EOF

### TDOT

    public static final int TDOT

### TCOMMA

    public static final int TCOMMA

### TSEMI_COLON

    public static final int TSEMI_COLON

### TLEFTPAREN

    public static final int TLEFTPAREN

### TRIGHTPAREN

    public static final int TRIGHTPAREN

### TLEFTBRACE

    public static final int TLEFTBRACE

### TRIGHTBRACE

    public static final int TRIGHTBRACE

### TLEFTBRACKET

    public static final int TLEFTBRACKET

### TRIGHTBRACKET

    public static final int TRIGHTBRACKET

### TMINUS

    public static final int TMINUS

### TLESSTHAN

    public static final int TLESSTHAN

### TBAR

    public static final int TBAR

### TASSIGN

    public static final int TASSIGN

### TDEFINITIONS

    public static final int TDEFINITIONS

### TEXPLICIT

    public static final int TEXPLICIT

### TIMPLICIT

    public static final int TIMPLICIT

### TTAGS

    public static final int TTAGS

### TBEGIN

    public static final int TBEGIN

### TEND

    public static final int TEND

### TEXPORTS

    public static final int TEXPORTS

### TIMPORTS

    public static final int TIMPORTS

### TFROM

    public static final int TFROM

### TMACRO

    public static final int TMACRO

### TINTEGER

    public static final int TINTEGER

### TREAL

    public static final int TREAL

### TBOOLEAN

    public static final int TBOOLEAN

### TNULL

    public static final int TNULL

### TBIT

    public static final int TBIT

### TOCTET

    public static final int TOCTET

### TSTRING

    public static final int TSTRING

### TENUMERATED

    public static final int TENUMERATED

### TSEQUENCE

    public static final int TSEQUENCE

### TSET

    public static final int TSET

### TOF

    public static final int TOF

### TCHOICE

    public static final int TCHOICE

### TUNIVERSAL

    public static final int TUNIVERSAL

### TAPPLICATION

    public static final int TAPPLICATION

### TPRIVATE

    public static final int TPRIVATE

### TANY

    public static final int TANY

### TDEFINED

    public static final int TDEFINED

### TBY

    public static final int TBY

### TOBJECT

    public static final int TOBJECT

### TIDENTIFIER

    public static final int TIDENTIFIER

### TINCLUDES

    public static final int TINCLUDES

### TMIN

    public static final int TMIN

### TMAX

    public static final int TMAX

### TSIZE

    public static final int TSIZE

### TWITH

    public static final int TWITH

### TCOMPONENT

    public static final int TCOMPONENT

### TCOMPONENTS

    public static final int TCOMPONENTS

### TPRESENT

    public static final int TPRESENT

### TABSENT

    public static final int TABSENT

### TOPTIONAL

    public static final int TOPTIONAL

### TDEFAULT

    public static final int TDEFAULT

### TTRUE

    public static final int TTRUE

### TFALSE

    public static final int TFALSE

### TPLUS_INFINITY

    public static final int TPLUS_INFINITY

### TMINUS_INFINITY

    public static final int TMINUS_INFINITY

### TOBJECT_TYPE

    public static final int TOBJECT_TYPE

### TTRAP_TYPE

    public static final int TTRAP_TYPE

### TSYNTAX

    public static final int TSYNTAX

### TACCESS

    public static final int TACCESS

### TSTATUS

    public static final int TSTATUS

### TDESCRIPTION

    public static final int TDESCRIPTION

### TREFERENCE

    public static final int TREFERENCE

### TINDEX

    public static final int TINDEX

### TDEFVAL

    public static final int TDEFVAL

### TENTERPRISE

    public static final int TENTERPRISE

### TVARIABLES

    public static final int TVARIABLES

### TBINSTRING

    public static final int TBINSTRING

### THEXSTRING

    public static final int THEXSTRING

### TCSTRING

    public static final int TCSTRING

### TUCASEFIRST_IDENT

    public static final int TUCASEFIRST_IDENT

### TLCASEFIRST_IDENT

    public static final int TLCASEFIRST_IDENT

### TNUMBER

    public static final int TNUMBER

### START

    public static final int START

### MODULEDEFINITION

    public static final int MODULEDEFINITION

### TAGDEFAULT

    public static final int TAGDEFAULT

### MODULEIDENTIFIER

    public static final int MODULEIDENTIFIER

### MODULEBODY

    public static final int MODULEBODY

### EXPORTS

    public static final int EXPORTS

### IMPORTS

    public static final int IMPORTS

### SYMBOLSFROMMODULELIST

    public static final int SYMBOLSFROMMODULELIST

### SYMBOLSFROMMODULE

    public static final int SYMBOLSFROMMODULE

### SYMBOLLIST

    public static final int SYMBOLLIST

### SYMBOL

    public static final int SYMBOL

### ASSIGNMENTLIST

    public static final int ASSIGNMENTLIST

### ASSIGNMENT

    public static final int ASSIGNMENT

### MACRODEFINITION

    public static final int MACRODEFINITION

### MACROBODY

    public static final int MACROBODY

### SKIPTOEND

    public static final int SKIPTOEND

### MACROREFERENCE

    public static final int MACROREFERENCE

### TYPEASSIGNMENT

    public static final int TYPEASSIGNMENT

### TYPE

    public static final int TYPE

### BUILTINTYPE

    public static final int BUILTINTYPE

### INTEGERTYPE

    public static final int INTEGERTYPE

### NAMEDNUMBERLIST

    public static final int NAMEDNUMBERLIST

### NAMEDNUMBER

    public static final int NAMEDNUMBER

### SIGNEDNUMBER

    public static final int SIGNEDNUMBER

### STRINGTYPE

    public static final int STRINGTYPE

### BITSTRINGTYPE

    public static final int BITSTRINGTYPE

### SEQUENCETYPE

    public static final int SEQUENCETYPE

### SEQUENCEOFTYPE

    public static final int SEQUENCEOFTYPE

### SETTYPE

    public static final int SETTYPE

### SETOFTYPE

    public static final int SETOFTYPE

### ELEMENTTYPELIST

    public static final int ELEMENTTYPELIST

### ELEMENTTYPE

    public static final int ELEMENTTYPE

### NAMEDTYPE

    public static final int NAMEDTYPE

### CHOICETYPE

    public static final int CHOICETYPE

### ENUMERATEDTYPE

    public static final int ENUMERATEDTYPE

### SELECTIONTYPE

    public static final int SELECTIONTYPE

### TAGGEDTYPE

    public static final int TAGGEDTYPE

### TAG

    public static final int TAG

### CLASSNUMBER

    public static final int CLASSNUMBER

### CLASS

    public static final int CLASS

### ANYTYPE

    public static final int ANYTYPE

### DEFINEDTYPE

    public static final int DEFINEDTYPE

### CONSTRAINTLIST

    public static final int CONSTRAINTLIST

### CONSTRAINT

    public static final int CONSTRAINT

### VALUECONSTRAINT

    public static final int VALUECONSTRAINT

### VALUERANGE

    public static final int VALUERANGE

### LOWERENDPOINT

    public static final int LOWERENDPOINT

### UPPERENDPOINT

    public static final int UPPERENDPOINT

### SIZECONSTRAINT

    public static final int SIZECONSTRAINT

### ALPHABETCONSTRAINT

    public static final int ALPHABETCONSTRAINT

### VALUEASSIGNMENT

    public static final int VALUEASSIGNMENT

### VALUE

    public static final int VALUE

### DEFINEDVALUE

    public static final int DEFINEDVALUE

### BUILTINVALUE

    public static final int BUILTINVALUE

### BOOLEANVALUE

    public static final int BOOLEANVALUE

### SPECIALREALVALUE

    public static final int SPECIALREALVALUE

### NULLVALUE

    public static final int NULLVALUE

### NAMEDVALUE

    public static final int NAMEDVALUE

### OBJECTIDENTIFIERVALUE

    public static final int OBJECTIDENTIFIERVALUE

### OBJIDCOMPONENTLIST

    public static final int OBJIDCOMPONENTLIST

### OBJIDCOMPONENT

    public static final int OBJIDCOMPONENT

### NAMEANDNUMBERFORM

    public static final int NAMEANDNUMBERFORM

### BINARYSTRING

    public static final int BINARYSTRING

### HEXSTRING

    public static final int HEXSTRING

### CHARSTRING

    public static final int CHARSTRING

### NUMBER

    public static final int NUMBER

### IDENTIFIER

    public static final int IDENTIFIER

### MODULEREFERENCE

    public static final int MODULEREFERENCE

### TYPEREFERENCE

    public static final int TYPEREFERENCE

### DEFINEDMACROTYPE

    public static final int DEFINEDMACROTYPE

### DEFINEDMACRONAME

    public static final int DEFINEDMACRONAME

### SNMPOBJECTTYPEMACROTYPE

    public static final int SNMPOBJECTTYPEMACROTYPE

### SNMPTRAPTYPEMACROTYPE

    public static final int SNMPTRAPTYPEMACROTYPE

### SNMPACCESSPART

    public static final int SNMPACCESSPART

### SNMPSTATUSPART

    public static final int SNMPSTATUSPART

### SNMPDESCRPART

    public static final int SNMPDESCRPART

### SNMPREFERPART

    public static final int SNMPREFERPART

### SNMPINDEXPART

    public static final int SNMPINDEXPART

### TYPEORVALUELIST

    public static final int TYPEORVALUELIST

### TYPEORVALUE

    public static final int TYPEORVALUE

### SNMPDEFVALPART

    public static final int SNMPDEFVALPART

### SNMPVARPART

    public static final int SNMPVARPART

### VARTYPES

    public static final int VARTYPES

### tokenNodeName

    public static final java.lang.String[] tokenNodeName

  A list with all the node names for token nodes.

### productionNodeName

    public static final java.lang.String[] productionNodeName

  A list with all the node names for production nodes.